Bug 240981 - databases/mariadb10{3,4}server: Fail to build with MROONGA=ON on FreeBSD 11.3 (error: expected unqualified-id)
Summary: databases/mariadb10{3,4}server: Fail to build with MROONGA=ON on FreeBSD 11.3...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-10-01 20:34 UTC by Tommy P
Modified: 2019-12-12 14:06 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback? (brnrd)
koobs: merge-quarterly?


Attachments
Build log in poudriere for MariaDB 10.3 on FreeBSD 11.3 (237.09 KB, application/x-zip-compressed)
2019-10-01 20:34 UTC, Tommy P
no flags Details
Build log in poudriere for MariaDB 10.4 on FreeBSD 11.3 (81.61 KB, application/x-zip-compressed)
2019-10-02 06:42 UTC, Tommy P
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tommy P 2019-10-01 20:34:08 UTC
Created attachment 207994 [details]
Build log in poudriere for MariaDB 10.3 on FreeBSD 11.3

I'm unable to build both MariaDB 10.3 and 10.4 on recently upgraded 11.2 to 11.3 (r352460M) when MRoonga option is set.  Both build OK on FB 11.2.

Here's MariaDB 10.4 on 11.2:

root@11amd64v2-default-database:/usr/ports/databases/mariadb104-server # uname -a
FreeBSD 11amd64v2-default-database 11.2-RELEASE-p14 FreeBSD 11.2-RELEASE-p14 amd64

root@11amd64v2-default-database:/usr/ports/databases/mariadb104-server # pkg info|grep -i maria
mariadb104-client-10.4.7       Multithreaded SQL database (client)
mariadb104-server-10.4.7       Multithreaded SQL database (server)

root@11amd64v2-default-database:/usr/ports/databases/mariadb104-server # make showconfig
===> The following configuration options are available for mariadb104-server-10.4.7:
     AWS_KMS=off
     CONNECT_EXTRA=on: Enable ODBC and XML in CONNECT engine
     DOCS=off: Build and/or install documentation
     WSREP=on: Build wsrep clustering
====> Optional page compression
     LZ4=on: LZ4 compression support
     LZO=on: LZO compression support
     SNAPPY=on: Snappy compression library support
     ZSTD=on: Zstandard compression support (RocksDB only)
====> Optional MariaDB storage engines
     INNOBASE=on: InnoDB default engine
     MROONGA=on: Mroonga Full Text Search engine
     OQGRAPH=on: Open Query Graph Computation engine
     ROCKSDB=on: RocksDB LSM engine (Alpha)
     SPHINX=on: SphinxSE engine
     SPIDER=on: Partitioning and XA-transactions engine
     TOKUDB=off: Fractal tree index tree data structure engine
====> Optional Mroonga features
     ZMQ=on: ZeroMQ support
     MSGPACK=on: MsgPack support
====> GSSAPI Security API support: you have to select exactly one of them
     GSSAPI_BASE=off: GSSAPI support via base system (needs Kerberos)
     GSSAPI_HEIMDAL=off: GSSAPI support via security/heimdal
     GSSAPI_MIT=on: GSSAPI support via security/krb5
     GSSAPI_NONE=off: Disable GSSAPI support
===> Use 'make config' to modify these settings
Comment 1 Tommy P 2019-10-02 06:42:16 UTC
Created attachment 208003 [details]
Build log in poudriere for MariaDB 10.4 on FreeBSD 11.3
Comment 2 Bernard Spil freebsd_committer 2019-12-12 14:06:26 UTC
I believe this was fixed with r518809 and r518787